import type { Hex, RGB, RGBA, RGBMaybeA, SupportedColorSchemes } from "./types";
declare type Color<From> = From extends "hex" ? Hex : From extends "rgb" ? RGB | RGBA : never;
declare type To<From> = From extends "rgb" ? "lab" : "rgb" | "lab";
declare const colorConverter: (from: SupportedColorSchemes, to: "rgb" | "lab", color: `#${string}` | RGB | RGBA) => RGBMaybeA;
export default colorConverter;
//# sourceMappingURL=convert-color.d.ts.map