/// <reference types="node" />
import * as Jimp from "jimp";
import { Formula } from "./utils/get-delta";
import type { ColorParam } from "./utils/types";
interface Params {
    image: string | typeof Jimp | Buffer;
    colors: ColorParam;
    formula?: Formula;
    deltaE?: number;
}
declare type Callback = (err: Error | null, data?: any) => any;
declare const replaceColor: ({ image, colors, formula, deltaE }: Params, callback?: Callback) => Promise<typeof Jimp>;
export default replaceColor;
//# sourceMappingURL=replace-color.d.ts.map