export declare type SupportedColorSchemes = "hex" | "rgb";
/** Either 6 digits for RGB or 8 digits for ARGB where A is the alpha channel */
export declare type Hex = `#${string}`;
export declare type RGB = [number, number, number];
export declare type RGBA = [number, number, number, number];
export declare type RGBMaybeA = [number, number, number, number | null];
export declare type ColorParam = {
    type: SupportedColorSchemes;
    targetColor: Hex | RGB;
    replaceColor: Hex | RGB | RGBA;
};
//# sourceMappingURL=types.d.ts.map