"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const messages = {
    PARAMETER_INVALID: "Parameter is not valid",
    PARAMETER_REQUIRED: "Parameter is required",
};
class ReplaceColorError extends Error {
    code;
    field;
    constructor(code, field) {
        super(messages[code]);
        this.name = this.constructor.name;
        this.code = code;
        this.field = field;
    }
}
exports.default = ReplaceColorError;
